package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description 学生曲目订单展示
 *
 * @author liujunchi
 * @date 2022-04-02
 */
public class StudentMusicAlbumOrderVo {

    @ApiModelProperty(value = "专辑id")
    private Long  musicAlbumId;

    @ApiModelProperty(value = "专辑名称")
    private String musicAlbumName;  //曲谱名称

    @ApiModelProperty(value = "封面图")
    private String titleImg;  //曲谱名称

    @ApiModelProperty("专辑分类名")
    private String TagNames;

    @ApiModelProperty(value = "支付金额")
    private BigDecimal purchasePrice;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty(value = "购买时间")
    private Date purchaseTime;

    public Long getMusicAlbumId() {
        return musicAlbumId;
    }

    public void setMusicAlbumId(Long musicAlbumId) {
        this.musicAlbumId = musicAlbumId;
    }

    public String getMusicAlbumName() {
        return musicAlbumName;
    }

    public void setMusicAlbumName(String musicAlbumName) {
        this.musicAlbumName = musicAlbumName;
    }

    public String getTitleImg() {
        return titleImg;
    }

    public void setTitleImg(String titleImg) {
        this.titleImg = titleImg;
    }

    public String getTagNames() {
        return TagNames;
    }

    public void setTagNames(String tagNames) {
        TagNames = tagNames;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getPurchaseTime() {
        return purchaseTime;
    }

    public void setPurchaseTime(Date purchaseTime) {
        this.purchaseTime = purchaseTime;
    }
}
